<!-- DO NOT EDIT | GENERATED CONTENT -->

# completion

Install or update shell completion scripts for the detected or chosen shell.

## Usage

```console
coder completion [flags]
```

## Options

### -s, --shell

|      |                                          |
| ---- | ---------------------------------------- |
| Type | <code>bash\|fish\|zsh\|powershell</code> |

The shell to install completion for.

### -p, --print

|      |                   |
| ---- | ----------------- |
| Type | <code>bool</code> |

Print the completion script instead of installing it.
